﻿@using WebApp.Models
@model List<WebApp.ViewModels.TripViewModel>

@{
    ViewBag.Title = "Trains";
}

@Html.ValidationSummary(false)

@if (Model.Count == 0)
{
    @:No trains between stations you specified.
}
else
{
    <div class="panel panel-default">
        <div class="panel-heading"><h4>Trains</h4></div>

        <table class="table">
            <thead>
            <th>Title</th>
            <th>Between stations</th>
            <th>Boarding and arriving stations</th>
            <th>Boarding and arriving dates</th>
            <th>Time in route</th>
            <th>Cost</th>
            <th>Free seats</th>
            <th>Route</th>
            </thead>
            <tbody>
            
            @foreach (var model in Model)
            {
                <tr valign="middle">
                    <td>@Html.DisplayFor(t => model.TrainTitle)</td>

                    <td>@Html.DisplayFor(t => model.StationFrom.Title) - @Html.DisplayFor(t => model.StationTo.Title)</td>

                    <td>@Html.DisplayFor(t => model.StationBoarding.Title) - @Html.DisplayFor(t => model.StationArriving.Title)</td>

                    <td>@Html.DisplayFor(t => model.DateTimeOfStart) - @Html.DisplayFor(t => model.DateTimeOfArriving)</td>

                    <td>@Html.DisplayFor(t => model.TimeInRoute)</td>

                    <td>@Html.DisplayFor(t => model.Cost)</td>

                    <td>
                        @foreach (var seatType in model.FreeSeats)
                        {
                            <span>
                                @(((WebApp.Models.SeatType) seatType.Key).ToString()):
                            </span>
                            <span>
                                @Html.DisplayFor(t => seatType.Value)
                            </span>
                            <br/>
                        }
                    </td>
                    
                    <td rowspan="1">
                        @Html.ActionLink("Buy", "Buy", "Ticket", new
                   {
                       tripId = model.TripId,
                       cost = model.Cost,
                       stationboarding = model.StationBoarding.Title,
                       stationarriving = model.StationArriving.Title,
                       arrivingdate = model.DateTimeOfArriving.ToString("dd/MM/yyyy HH:mm:ss"),
                       boardingdate = model.DateTimeOfStart.ToString("dd/MM/yyyy HH:mm:ss"),
                       timeinroute = model.TimeInRoute
                   }, new { @class = "btn btn-info" })
                    </td>
                </tr>
                <tr class="active">
                    <td colspan="8">
                        @foreach (var traverseStation in model.TraverseStations)
                        {
                            <span>
                                @Html.DisplayFor(t => traverseStation.Value.Title)
                            </span>

                            <span>
                                (@(Html.DisplayFor(t => traverseStation.Value.DateTimeOfStart)) -  
                            </span>

                            <span>
                                @(Html.DisplayFor(t => traverseStation.Value.DateTimeOfLeaving)),
                            </span>

                            <span>
                                @(Html.DisplayFor(t => traverseStation.Value.TimeOfWaiting))) |
                            </span>

                        }
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
}

